( function ( $ ) {
	'use strict';

	var urPhonetic = {
		id: 'ur-phonetic',
		name: 'صوتی',
		description: 'Phonetic keyboard for Urdu script',
		date: '2013-02-18',
		URL: 'http://cvs.savannah.gnu.org/viewvc/m17n-contrib/im/ur-phonetic.mim?root=m17n&view=markup',
		author: 'Parag Nemade',
		license: 'GPLv3',
		version: '1.0',
		patterns: [
			[ '!', '!' ],
			[ '\\#', '/' ],
			/* Yeh with hamza above */ [ '\\$', 'ئ' ],
			[ '\\(', ')' ],
			[ '\\)', '(' ],
			/* Shadda */ [ '_', 'ّ' ],
			/* Alef with hamza above */ [ '\\-', 'أ' ],
			/* Alef with madda above */ [ '\\+', 'آ' ],
			/* Waw with hamza above */ [ '\\=', 'ؤ' ],
			/* Sukun */ [ 'Q', 'ْ' ],
			[ 'q', 'ق' ],
			[ 'W', 'ﷺ' ],
			[ 'w', 'و' ],
			[ 'E', '¥' ],
			[ 'e', 'ع' ],
			[ 'R', 'ڑ' ],
			[ 'r', 'ر' ],
			[ 'T', 'ٹ' ],
			[ 't', 'ت' ],
			[ 'Y', '\u0601' ],
			[ 'y', 'ے' ],
			[ 'U', '،' ],
			[ 'u', 'ء' ],
			/* superscript alef */ [ 'I', 'ٰ' ],
			[ 'i', 'ی' ],
			/* Teh marbuta goal */ [ 'O', 'ۃ' ],
			[ 'o', 'ہ' ],
			/* damma */ [ 'P', 'ُ' ],
			[ 'p', 'پ' ],
			/* superscript alef */ [ '\\{', 'ٰ' ],
			[ '\\[', ']' ],
			/* double superscript alef */ [ '\\}', 'ٰٰ' ],
			[ '\\]', '[' ],
			/* madda */ [ 'A', 'ٓ' ],
			[ 'a', 'ا' ],
			[ 'S', 'ص' ],
			[ 's', 'س' ],
			[ 'D', 'ڈ' ],
			[ 'd', 'د' ],
			/* Empty */ [ 'F', '' ],
			[ 'f', 'ف' ],
			[ 'G', 'غ' ],
			[ 'g', 'گ' ],
			[ 'H', 'ح' ],
			[ 'h', 'ھ' ],
			[ 'J', 'ض' ],
			[ 'j', 'ج' ],
			[ 'K', 'خ' ],
			[ 'k', 'ک' ],
			[ 'L', '\u0613' ],
			[ 'l', 'ل' ],
			[ ':', ':' ],
			/* Arabic semicolon */ [ ';', '؛' ],
			/* verse sign */ [ '"', '؎' ],
			/* superscript alef */ [ '\'', 'ٰ' ],
			/* takhallus */ [ '\\|', 'ؔ' ],
			/* verse sign */ [ '\\', '؎' ],
			/* fathatan */ [ '\\~', 'ً' ],
			/* kasratan */ [ '\\`', 'ٍ' ],
			[ 'Z', 'ذ' ],
			[ 'z', 'ز' ],
			[ 'X', 'ژ' ],
			[ 'x', 'ش' ],
			[ 'C', 'ث' ],
			[ 'c', 'چ' ],
			[ 'V', 'ظ' ],
			[ 'v', 'ط' ],
			/* rakhmatullah */ [ 'B', 'ؒ' ],
			[ 'b', 'ب' ],
			[ 'N', 'ں' ],
			[ 'n', 'ن' ],
			/* Empty */ [ 'M', '' ],
			[ 'm', 'م' ],
			/* kasra */ [ '\\<', 'ِ' ],
			[ ',', '،' ],
			/* fatha */ [ '\\>', 'َ' ],
			/* Arabic full stop */ [ '\\.', '۔' ],
			/* Arabic question mark */ [ '\\?', '؟' ],
			/* sla */ [ '\\^', 'ۖ' ],
			/* hamza above */ [ '\\&', 'ٔ' ],
			/* dammatan */ [ '\\*', 'ٌ' ] ]
	};

	$.ime.register( urPhonetic );
}( jQuery ) );
