<?php

// Custom localisation used to display relative times in DiscussionTools.
// CLDR is missing these for Sorani Kurdish language (ckb).
// https://phabricator.wikimedia.org/T327123
// https://www.mediawiki.org/wiki/Topic:X2yggw2af1cfzmdr
// TODO: Upstream
$timeUnits = [
	'century-one' => '{0} سەدە',
	'century-other' => '{0} سەدە',
	'day-future-one' => '{0} ڕۆژی تر',
	'day-future-other' => '{0} ڕۆژی تر',
	'day-one' => '{0} ڕۆژ',
	'day-other' => '{0} ڕۆژ',
	'day-past-one' => '{0} ڕۆژ لەمەوپێش',
	'day-past-other' => '{0} ڕۆژ لەمەوپێش',
	'day-short-future-one' => '{0} ڕۆژی تر',
	'day-short-future-other' => '{0} ڕۆژی تر',
	'day-short-past-one' => '{0} ڕۆژ لەمەوپێش',
	'day-short-past-other' => '{0} ڕۆژ لەمەوپێش',
	'decade-one' => '{0} دەیە',
	'decade-other' => '{0} دەیە',
	'fri-future-one' => '{0} ھەینیی تر',
	'fri-future-other' => '{0} ھەینیی تر',
	'fri-narrow-future-one' => '{0} ھەینیی تر',
	'fri-narrow-future-other' => '{0} ھەینیی تر',
	'fri-narrow-past-one' => '{0} ھەینی لەمەوپێش',
	'fri-narrow-past-other' => '{0} ھەینی لەمەوپێش',
	'fri-past-one' => '{0} ھەینی لەمەوپێش',
	'fri-past-other' => '{0} ھەینی لەمەوپێش',
	'fri-short-future-one' => '{0} ھەینیی تر.',
	'fri-short-future-other' => '{0} ھەینیی تر',
	'fri-short-past-one' => '{0} ھەینی لەمەوپێش',
	'fri-short-past-other' => '{0} ھەینی لەمەوپێش',
	'hour-future-one' => '{0} سەعاتی تر',
	'hour-future-other' => '{0} سەعاتی تر',
	'hour-one' => '{0} سەعات',
	'hour-other' => '{0} سەعات',
	'hour-past-one' => '{0} سەعات لەمەوپێش',
	'hour-past-other' => '{0} سەعات لەمەوپێش',
	'hour-short-future-one' => '{0} سەعاتی تر',
	'hour-short-future-other' => '{0} سەعاتی تر',
	'hour-short-past-one' => '{0} سەعات لەمەوپێش',
	'hour-short-past-other' => '{0} سەعات لەمەوپێش',
	'microsecond-one' => '{0} مایکڕۆچرکە',
	'microsecond-other' => '{0} مایکڕۆچرکە',
	'millisecond-one' => '{0} میلیچرکە',
	'millisecond-other' => '{0} میلیچرکە',
	'minute-future-one' => '{0} دەقەی تر',
	'minute-future-other' => '{0} دەقەی تر',
	'minute-one' => '{0} دەقە',
	'minute-other' => '{0} دەقە',
	'minute-past-one' => '{0} دەقە لەمەوپێش',
	'minute-past-other' => '{0} دەقە لەمەوپێش',
	'minute-short-future-one' => '{0} دەقەی تر',
	'minute-short-future-other' => '{0} دەقەی تر',
	'minute-short-past-one' => '{0} دەقە لەمەوپێش',
	'minute-short-past-other' => '{0} دەقە لەمەوپێش',
	'mon-future-one' => '{0} دووشەممەی تر',
	'mon-future-other' => '{0} دووشەممەی تر',
	'mon-narrow-future-one' => '{0} دووشەممەی تر',
	'mon-narrow-future-other' => '{0} دووشەممەی تر',
	'mon-narrow-past-one' => '{0} دووشەممە لەمەوپێش',
	'mon-narrow-past-other' => '{0} دووشەممە لەمەوپێش',
	'mon-past-one' => '{0} دووشەممە لەمەوپێش',
	'mon-past-other' => '{0} دووشەممە لەمەوپێش',
	'mon-short-future-one' => '{0} دووشەممەی تر',
	'mon-short-future-other' => '{0} دووشەممەی تر',
	'mon-short-past-one' => '{0} دووشەممە لەمەوپێش',
	'mon-short-past-other' => '{0} دووشەممە لەمەوپێش',
	'month-future-one' => '{0} مانگی تر',
	'month-future-other' => '{0} مانگی تر',
	'month-one' => '{0} مانگ',
	'month-other' => '{0} مانگ',
	'month-past-one' => '{0} مانگ لەمەوپێش',
	'month-past-other' => '{0} مانگ لەمەوپێش',
	'month-short-future-one' => '{0} مانگی تر',
	'month-short-future-other' => '{0} مانگی تر',
	'month-short-past-one' => '{0} مانگ لەمەوپێش',
	'month-short-past-other' => '{0} مانگ لەمەوپێش',
	'nanosecond-one' => '{0} نانۆچرکە',
	'nanosecond-other' => '{0} نانۆچرکە',
	'quarter-future-one' => '{0} چارەکی تر',
	'quarter-future-other' => '{0} چارەکی تر',
	'quarter-past-one' => '{0} چارەک لەمەوپێش',
	'quarter-past-other' => '{0} چارەک لەمەوپێش',
	'quarter-short-future-one' => '{0} چارەکی تر',
	'quarter-short-future-other' => '{0} چارەکی تر',
	'quarter-short-past-one' => '{0} چارەک لەمەوپێش',
	'quarter-short-past-other' => '{0} چارەک لەمەوپێش',
	'sat-future-one' => '{0} شەممەی تر',
	'sat-future-other' => '{0} شەممەی تر',
	'sat-narrow-future-one' => '{0} شەممەی تر',
	'sat-narrow-future-other' => '{0} شەممەی تر',
	'sat-narrow-past-one' => '{0} شەممە لەمەوپێش',
	'sat-narrow-past-other' => '{0} شەممە لەمەوپێش',
	'sat-past-one' => '{0} شەممە لەمەوپێش',
	'sat-past-other' => '{0} شەممە لەمەوپێش',
	'sat-short-future-one' => '{0} شەممەی تر',
	'sat-short-future-other' => '{0} شەممەی تر',
	'sat-short-past-one' => '{0} شەممە لەمەوپێش',
	'sat-short-past-other' => '{0} شەممە لەمەوپێش',
	'second-future-one' => '{0} چرکەی تر',
	'second-future-other' => '{0} چرکەی تر',
	'second-one' => '{0} چرکە',
	'second-other' => '{0} چرکە',
	'second-past-one' => '{0} چرکە لەمەوپێش',
	'second-past-other' => '{0} چرکە لەمەوپێش',
	'second-short-future-one' => '{0} چرکەی تر',
	'second-short-future-other' => '{0} چرکەی تر',
	'second-short-past-one' => '{0} چرکە لەمەوپێش',
	'second-short-past-other' => '{0} چرکە لەمەوپێش',
	'sun-future-one' => '{0} یەکشەممەی تر',
	'sun-future-other' => '{0} یەکشەممەی تر',
	'sun-narrow-future-one' => '{0} یەکشەممەی تر',
	'sun-narrow-future-other' => '{0} یەکشەممەی تر',
	'sun-narrow-past-one' => '{0} یەکشەممە لەمەوپێش',
	'sun-narrow-past-other' => '{0} یەکشەممە لەمەوپێش',
	'sun-past-one' => '{0} یەکشەممە لەمەوپێش',
	'sun-past-other' => '{0} یەکشەممە لەمەوپێش',
	'sun-short-future-one' => '{0} یەکشەممەی تر',
	'sun-short-future-other' => '{0} یەکشەممەی تر',
	'sun-short-past-one' => '{0} یەکشەممە لەمەوپێش',
	'sun-short-past-other' => '{0} یەکشەممە لەمەوپێش',
	'thu-future-one' => '{0} پێنجشەممەی تر',
	'thu-future-other' => '{0} پێنجشەممەی تر',
	'thu-narrow-future-one' => '{0} پێنجشەممەی تر',
	'thu-narrow-future-other' => '{0} پێنجشەممەی تر',
	'thu-narrow-past-one' => '{0} پێنجشەممە لەمەوپێش',
	'thu-narrow-past-other' => '{0} پێنجشەممە لەمەوپێش',
	'thu-past-one' => '{0} پێنجشەممە لەمەوپێش',
	'thu-past-other' => '{0} پێنجشەممە لەمەوپێش',
	'thu-short-future-one' => '{0} پێنجشەممەی تر',
	'thu-short-future-other' => '{0} پێنجشەممەی تر',
	'thu-short-past-one' => '{0} پێنجشەممە لەمەوپێش',
	'thu-short-past-other' => '{0} پێنجشەممە لەمەوپێش',
	'tue-future-one' => '{0} سێشەممەی تر',
	'tue-future-other' => '{0} سێشەممەی تر',
	'tue-narrow-future-one' => '{0} سێشەممەی تر',
	'tue-narrow-future-other' => '{0} سێشەممەی تر',
	'tue-narrow-past-one' => '{0} سێشەممە لەمەوپێش',
	'tue-narrow-past-other' => '{0} سێشەممە لەمەوپێش',
	'tue-past-one' => '{0} سێشەممە لەمەوپێش',
	'tue-past-other' => '{0} سێشەممە لەمەوپێش',
	'tue-short-future-one' => '{0} سێشەممەی تر',
	'tue-short-future-other' => '{0} سێشەممەی تر',
	'tue-short-past-one' => '{0} سێشەممە لەمەوپێش',
	'tue-short-past-other' => '{0} سێشەممە لەمەوپێش',
	'wed-future-one' => '{0} چوارشەممەی تر',
	'wed-future-other' => '{0} چوارشەممەی تر',
	'wed-narrow-future-one' => '{0} چوارشەممەی تر',
	'wed-narrow-future-other' => '{0} چوارشەممەی تر',
	'wed-narrow-past-one' => '{0} چوارشەممە لەمەوپێش',
	'wed-narrow-past-other' => '{0} چوارشەممە لەمەوپێش',
	'wed-past-one' => '{0} چوارشەممە لەمەوپێش',
	'wed-past-other' => '{0} چوارشەممە لەمەوپێش',
	'wed-short-future-one' => '{0} چوارشەممەی تر',
	'wed-short-future-other' => '{0} چوارشەممەی تر',
	'wed-short-past-one' => '{0} چوارشەممە لەمەوپێش',
	'wed-short-past-other' => '{0} چوارشەممە لەمەوپێش',
	'week-future-one' => '{0} ھەفتەی تر',
	'week-future-other' => '{0} ھەفتەی تر',
	'week-one' => '{0} ھەفتە',
	'week-other' => '{0} ھەفتە',
	'week-past-one' => '{0} ھەفتە لەمەوپێش',
	'week-past-other' => '{0} ھەفتە لەمەوپێش',
	'week-short-future-one' => '{0} ھەفتەی تر',
	'week-short-future-other' => '{0} ھەفتەی تر',
	'week-short-past-one' => '{0} ھەفتە لەمەوپێش',
	'week-short-past-other' => '{0} ھەفتە لەمەوپێش',
	'year-future-one' => '{0} ساڵی تر',
	'year-future-other' => '{0} ساڵی تر',
	'year-one' => '{0} ساڵ',
	'year-other' => '{0} ساڵ',
	'year-past-one' => '{0} ساڵ لەمەوپێش',
	'year-past-other' => '{0} ساڵ لەمەوپێش',
	'year-short-future-one' => '{0} ساڵی تر',
	'year-short-future-other' => '{0} ساڵی تر',
	'year-short-past-one' => '{0} ساڵ لەمەوپێش',
	'year-short-past-other' => '{0} ساڵ لەمەوپێش',
];
